org.jfree.ui

## Class GradientPaintTransformType

- java.lang.Object
- - org.jfree.ui.GradientPaintTransformType

All Implemented Interfaces:
  java.io.Serializable

    public final class GradientPaintTransformType
    extends java.lang.Object
    implements java.io.Serializable

Represents a type of transform for a `GradientPaint`.

Author:
  David Gilbert
See Also:
  Serialized Form

### Field Summary

Fields
`static GradientPaintTransformType` `CENTER_HORIZONTAL` Center/horizontal.
`static GradientPaintTransformType` `CENTER_VERTICAL` Center/vertical.
`static GradientPaintTransformType` `HORIZONTAL` Horizontal.
`static GradientPaintTransformType` `VERTICAL` Vertical.

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code value for the object.
`java.lang.String` `toString()` Returns a string representing the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### VERTICAL

    public static final GradientPaintTransformType VERTICAL

Vertical.

#### HORIZONTAL

    public static final GradientPaintTransformType HORIZONTAL

Horizontal.

#### CENTER_VERTICAL

    public static final GradientPaintTransformType CENTER_VERTICAL

Center/vertical.

#### CENTER_HORIZONTAL

    public static final GradientPaintTransformType CENTER_HORIZONTAL

Center/horizontal.

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representing the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string.

#### equals

    public boolean equals(java.lang.Object o)

Returns `true` if this object is equal to the specified object, and `false` otherwise.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `o` - the other object.
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code value for the object.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode